summaryrefslogtreecommitdiff
path: root/testsuite/stdin.sh
diff options
context:
space:
mode:
authorClint Adams <clint@debian.org>2018-07-04 13:05:31 -0400
committerClint Adams <clint@debian.org>2018-07-04 13:05:31 -0400
commit117dcd10d7e04d0dda7668518b8d085027f4d705 (patch)
treef9612d6268ab16555fb21be04bc7594f9eb6ce4f /testsuite/stdin.sh
parent1c0d840cad3dc7c951a86c9c128a721e9ebcd2cf (diff)
New upstream version 4.5
Diffstat (limited to 'testsuite/stdin.sh')
-rwxr-xr-xtestsuite/stdin.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/testsuite/stdin.sh b/testsuite/stdin.sh
new file mode 100755
index 0000000..c34e074
--- /dev/null
+++ b/testsuite/stdin.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# Test runner for old 'stdin' test
+
+# Copyright (C) 2017-2018 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+. "${srcdir=.}/testsuite/init.sh"; path_prepend_ ./sed
+print_ver_ sed
+
+fail=0
+
+
+cat << \EOF > stdin-in || framework_failure_
+foo foo fo oo f oo foo foo foo foo foo foo foo foo foo foo foo foo foo
+foo foo fo oo f oo foo foo foo foo foo foo foo foo foo foo foo foo foo
+EOF
+
+# This checks for a bug in 3.02 and 3.02.80
+( sed d ; sed G ) < stdin-in > stdin-out1 || fail=1
+cat stdin | ( sed d ; sed G ) > stdin-out2 || fail=1
+
+remove_cr_inplace stdin-out1
+remove_cr_inplace stdin-out2
+
+compare stdin-out1 stdin-out2 || fail=1
+
+Exit $fail